런던호프

메이커(개발자)들의 자유게시판입니다. 국내외의 메이커페어, 창작품, 아이디어 상품등 다양한 이야기를 올려주세요.

제목라즈베리파이 소식 - 라즈베리파이 OS 레거시(Raspberry Pi OS Legacy)2021-12-03 19:33
작성자user icon Level 6

라즈베리파이 공식 홈페이지에 2021년 12월 2일자 Gordon Hollingworth에 의해 게시된 글입니다.
원문은 아래 링크입니다.
https://www.raspberrypi.com/news/new-old-functionality-with-raspberry-pi-os-legacy/
번역기 번역이니 감안하고 봐주세요.

#######################################################

지난 9년 동안 라즈베리파이는 Raspberry Pi OS(이전에는 Raspbian으로 알려짐)는 하나의 릴리즈만 지원했습니다. 이러한 방식은 우리가 새로운 상위버전으로 업그레이드 될때  심각한 문제를 일으킬 수 있습니다(예: Jessie에서 Stretch로 또는 Stretch에서 Buster로, 또는 최근에 Buster에서 Bullseye로 업그레이드 될때). 버전 업그레이드와 함께 새로운 버전의 라이브러리와 인터페이스가 제공됩니다. 오래된 소프트웨어와 인터페이스는 지원되지 않으며 특정 작업을 수행하는 방법이 변경됩니다. 그 중 일부 변경사항은 버전 업그레이드에서 발생하며, 또 일부는 오픈소스 인터페이스로 이동하려는 우리 자신의 열망에서 비롯됩니다.

​물론, 우리는 이것이 특정 사용자들에게는 항상 옳은 결정은 아니라는 것을 알고 있습니다. 예를 들어, 여러분 중 일부는 온라인으로 설명서와 튜토리얼을 따르고 싶어하는 교육 사용자들입니다. 또 다른 일부는 특정 라이브러리 버전을 사용해야하는 소프트웨어를 개발했거나 변하지 않는 안정적인 운영 체제를 중요하게 생각하는 산업 사용자입니다. 그런이유로 일부 사용자는 OS의 특정 부분을 롤백하여 의존하던 일부 기능을 복원할 수 있는 옵션을 요청했습니다.

Raspberry Pi OS (Legacy)


이러한 이유로 우리는 Debian Buster 릴리즈를 기반으로 Rasberry Pi OS의 레거시 버전을 생성하기로 결정했습니다. 이는 다음을 기준으로 합니다.

  • Buster를 기반으로한 Raspberry Pi OS의 이전 릴리스 입니다.
  • 하드웨어 가속 Chromium이 제거되고 업스트림(upstream) 소프트웨어 브라우저로 대체됨
  • Linux 커널 5.10.y에서 브랜치되고 Linux 커널에서 보안 패치만 가져옴
  • Raspberry Pi 펌웨어 브랜치 및 기존 제품에 대한 보안 및 하드웨어 지원 패치만 적용


Chromium의 하드웨어 가속은 상당한 지원 시간이 소요됩니다. 모든 릴리스마다 하드웨어 인터페이스를 다시 포팅해야 합니다. 동시에 Chromium에는 많은 보안 패치가 적용되어 있기 때문에 Debian에서 사용할 수 있는 가장 최신 버전과 함께 제공되는 것이 중요합니다. 이러한 이유로 하드웨어 가속 v92 브라우저는 계속 유지하지만 기본적으로 업스트림 소프트웨어 가속 버전을 사용하는 것이 더 나을 것이라고 생각합니다.


mb-file.php?path=2021%2F12%2F03%2FF4352_legacyscreenshot-800x450.png


Linux 커널 API도 중요합니다. 새 버전의 커널에서는 서로 다른 계층간의 인터페이스가 변경됩니다. 이것은 5.10에 대해 컴파일된 드라이버가 5.12에 대해 컴파일될 때 작동하지 않을 수 있음을 의미합니다. 따라서 5.10과 같이 장기적으로 안정적인 Linux 커널을 선택하고 업스트림 변경 사항만 적용하는 것이 중요합니다.

펌웨어는 향후 하드웨어를 계속 지원하므로 기능이 불안정해지는 것을 방지하기 위해 브랜치됩니다. 레거시 이미지에서 신제품을 지원하지는 않지만 구형 제품의 리비전은 계속 지원되도록 할 것입니다. 예를들어 새로운 Raspberry Pi 4 rev 1.5(일반적으로 공급상의 이유로 구성 요소 변경을 의미함)를 출시한다면 레거시 이미지에서 지원되는 반면 새로운 Raspberry Pi 5 제품이 출시된다면 지원되지 않습니다.

다양한 구성 요소가 업데이트를 계속 받는 동안 Raspberry Pi OS(Legacy)는 계속 지원됩니다. Debian Buster의 경우 2024년 6월까지 지원이 제공됩니다. Linux 5.10 커널의 경우 2026년 12월까지 입니다. 이 시기에 Debian Bookworm이 안정되면 Raspberry Pi(Legacy)가 Bullseye로 전환됩니다.

Download Raspberry Pi OS (Legacy)


Raspberry Pi OS(Legacy)는 소프트웨어 페이지에서 다운로드할 수 있으며 Windows, macOS, x86용 Ubuntu 및 Raspberry Pi OS용 무료 OS 설치 프로그램인 Raspberry Pi Imager에서도 다운로드할 수 있습니다.

https://www.raspberrypi.com/software/operating-systems/


또한…


레거시 카메라 인터페이스를 Bullseye에 추가하려면 작업 표시줄에서 업데이트 아이콘을 클릭하여 업데이트하십시오. 그런 다음 터미널(Ctrl-Alt-T)을 열고 'sudo raspi-config'를 입력하고 'Interface Options'으로 이동한 다음 'Legacy Camera'로 선택한 뒤 재부팅합니다. 이러한 카메라 인터페이스는 더 이상 사용되지 않으며 앞으로 지원하지 않습니다.


 


 마치며...


64비트 OS에 대한 블로그 게시물을 기대하고 있었다면 다음에 올 예정입니다. 출시전에 Bullseye의 일부 문제를 수정하고 있을 뿐입니다.



#라즈베리파이# 라즈베리파이OS# 레거시
댓글
자동등록방지
(자동등록방지 숫자를 입력해 주세요)